### Enumeration

# Qmi UimFileType

since: 1.6

#### Declaration

    enum Qmi.UimFileType

#### Description [src]

Type of UIM file.

Available since: 1.6

#### Members

`QMI_UIM_FILE_TYPE_TRANSPARENT`

  Transparent.

  - Value: `0`
  - Available since: 1.6
`QMI_UIM_FILE_TYPE_CYCLIC`

  Cyclic.

  - Value: `1`
  - Available since: 1.6
`QMI_UIM_FILE_TYPE_LINEAR_FIXED`

  Linear fixed.

  - Value: `2`
  - Available since: 1.6
`QMI_UIM_FILE_TYPE_DEDICATED_FILE`

  Dedicated file.

  - Value: `3`
  - Available since: 1.6
`QMI_UIM_FILE_TYPE_MASTER_FILE`

  Master file.

  - Value: `4`
  - Available since: 1.6

#### Type functions

###### qmi_uim_file_type_get_string

Gets the nickname string for the `QmiUimFileType` specified at `val`.

since: 1.6